/*
 * Copyright (c) 2004-2022 The MZmine Development Team
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

package io.github.mzmine.modules.dataprocessing.align_hierarchical;

import java.util.Comparator;

import io.github.mzmine.datamodel.RawDataFile;
import io.github.mzmine.util.SortingDirection;

/**
 * 
 * 
 */
public class RawDataFileSorter implements Comparator<RawDataFile> {

  private SortingDirection direction;

  public RawDataFileSorter(SortingDirection direction) {
    this.direction = direction;
  }

  public int compare(RawDataFile rdf1, RawDataFile rdf2) {

    String rdf1Value = rdf1.getName();
    String rdf2Value = rdf2.getName();

    if (direction == SortingDirection.Ascending)
      return rdf1Value.compareTo(rdf2Value);
    else
      return rdf2Value.compareTo(rdf1Value);

  }

}
